Subject: Re: linux-next: manual merge of the kbuild tree with Linus' tree

From: Michal Marek <[email-masked]>
Date: Thu, 02 Jul 2015 09:17:02 +0200

Dne 2.7.2015 v 08:47 Geert Uytterhoeven napsal(a):
> On Thu, Jul 2, 2015 at 2:30 AM, Stephen Rothwell <[email-masked]> wrote:
>> Today's linux-next merge of the kbuild tree got a conflict in:
>>
>>   scripts/kconfig/Makefile
>>
>> between commits:
>>
>>   9bcd776d299e ("kconfig: clarify kvmconfig is for kvm")
>>   6c6685055a28 ("kconfig: add xenconfig defconfig helper")
>>
>> from Linus' tree and commit:
>>
>>   fa75a727c019 ("kconfig: Wrap long "make help" text lines")
>>
>> from the kbuild tree.
>>
>> I fixed it up (see below) and can carry the fix as necessary (no action
>> is required).
>>
>> --
>> Cheers,
>> Stephen Rothwell                    [email-masked]
>>
>> diff --cc scripts/kconfig/Makefile
>> index f52abae0ec5f,930de225d52e..000000000000
>> --- a/scripts/kconfig/Makefile
>> +++ b/scripts/kconfig/Makefile
>> @@@ -142,9 -139,9 +143,10 @@@ help
>>         @echo  '  alldefconfig    - New config with all symbols set to default'
>>         @echo  '  randconfig      - New config with random answer to all options'
>>         @echo  '  listnewconfig   - List new options'
>> -       @echo  '  olddefconfig    - Same as silentoldconfig but sets new symbols to their default value'
>> +       @echo  '  olddefconfig    - Same as silentoldconfig but sets new symbols to their'
>> +       @echo  '                    default value'
>>  -      @echo  '  kvmconfig       - Enable additional options for guest kernel support'
>>  +      @echo  '  kvmconfig       - Enable additional options for kvm guest kernel support'
>>  +      @echo  '  xenconfig       - Enable additional options for xen dom0 and guest kernel support'
> 
> Doh, a new long line to be wrapped.
> 
> Michal: Shall I send a fix-up patch, or a new one against Linus' tree?

Please send one against Linus' tree, because I do not have the xenconfig
patch in the kbuild tree.

Michal